package com.sooka.sponest.middleground.hwMeeting.service.impl;

import org.springframework.beans.factory.annotation.Value;

/**
 * 华为接口类
 */
public abstract class HwMeetingApi {

    /**
     * 请求地址
     **/
    public static final String url = "https://api.meeting.huaweicloud.com";

    /**
     * appId
     **/
    @Value("${HwM.appId}")
    public static final String appId = "3f989ae3a9664bbd8e78dde9d29a5a22";

    /**
     * appKey 也是HmacSHA256加密秘钥
     **/
    @Value("${HwM.appKey}")
    public static final String appKey = "a48cbf11d0172b1c9fd4e9017bd8cf4dca674aa3a40696bd59f2542e746552fa";

    /**
     * 第三方平台的userId
     **/
    public static final String userId = "1001";

    /**
     * 执行AppID鉴权
     */
    public static final String appauth = "/v2/usg/acs/auth/appauth";

    /**
     * 普通用户分页查询云会议室及个人会议ID
     **/
    public static final String vmr = "/v1/usg/dcs/member/vmr";

    /**
     * 创建会议
     */
    public static final String conferences = "/v1/mmc/management/conferences";
}
