package com.sooka.sponest.middleground.monitoringEquipment.inserctpests.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.middleground.monitoringEquipment.inserctpests.service.PlantDiseasesAndInsectPestsService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/api/plantDiseasesAndInsectPestsMessageReceiver")
public class PlantDiseasesAndInsectPestsController {

    @Resource
    private PlantDiseasesAndInsectPestsService plantDiseasesAndInsectPestsService;

    /**
     * 病虫害传感器上报数据
     * */
    @GetMapping("/plantDiseasesAndInsectPestsMessageReceiver/{deviceNumber}")
    public AjaxResult plantDiseasesAndInsectPestsMessageReceiver(@PathVariable("deviceNumber") String deviceNumber){
        return plantDiseasesAndInsectPestsService.plantDiseasesAndInsectPestsMessageReceiver(deviceNumber);
    }

}
