package com.sooka.sponest.middleground.monitoringEquipment.sennor.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.middleground.monitoringEquipment.sennor.service.SennorService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/api/Sennor")
public class SennorController {

    @Resource
    private SennorService sennorService;

    /**
     * 查询设备节点数据
     * */
    @GetMapping("/getDeviceInfo/{deviceNumber}")
    public AjaxResult getDeviceInfo(@PathVariable("deviceNumber") String deviceNumber){
        return sennorService.getDeviceInfo(deviceNumber);
    }


}
