package com.sooka.sponest.middleground.remoteapi.fallback.center.dahuaLog;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.middleground.remoteapi.service.center.dahuaLog.RemoteDahuaLogService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-06-16 11:05
 **/
@Component
public class RemoteDahuaLogBaseServiceFallbackFactory implements FallbackFactory<RemoteDahuaLogService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteDahuaLogService create(Throwable cause) {
        log.error("摄像头操作日志对接-服务调用失败:{}", cause.getMessage());

        return new RemoteDahuaLogService() {

            @Override
            public AjaxResult configureBlackTasks() {
                return null;
            }

            @Override
            public AjaxResult configureWhiteTasks() {
                return null;
            }


        };
    }
}
