package com.sooka.sponest.middleground.remoteapi.fallback.center.pollingPositionMsg;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.middleground.remoteapi.service.center.pollingPositionMsg.RemotePollingPositionMsgService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-06-16 11:05
 **/
@Component
public class RemotePollingPositionMsgBaseServiceFallbackFactory implements FallbackFactory<RemotePollingPositionMsgService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemotePollingPositionMsgService create(Throwable cause) {
        log.error("对接大华根据组织获取执法记录仪、单兵设备在线状态任务任务模块-服务调用失败:{}", cause.getMessage());

        return new RemotePollingPositionMsgService() {

            @Override
            public AjaxResult getLongPollingPositionMsg() {
                return null;
            }


        };
    }
}
