package com.sooka.sponest.middleground.remoteapi.service.center.pollingPositionMsg;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.middleground.remoteapi.fallback.center.pollingPositionMsg.RemotePollingPositionMsgBaseServiceFallbackFactory;
import com.sooka.sponest.middleground.remoteapi.service.ModulesServiceNameContants;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(
        contextId = "remotePollingPositionMsgService"
        , value = ModulesServiceNameContants.CENTER_MONITOR_POLLINGPOSITIONMSG
        , fallbackFactory = RemotePollingPositionMsgBaseServiceFallbackFactory.class
        ,url = "${sooka.service.monitor-pollingPositionMsg}"
)
public interface RemotePollingPositionMsgService {

    /**
     * 对接大华根据组织获取执法记录仪、单兵设备在线状态定时任务
     */
    @ApiOperation(value = "对接大华根据组织获取执法记录仪、单兵设备在线状态定时任务", notes = "对接大华根据组织获取执法记录仪、单兵设备在线状态定时任务")
    @GetMapping("/equipmentStatus/quartz/getLongPollingPositionMsg")
    public AjaxResult getLongPollingPositionMsg();

}
